<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class ExportKommunikation extends ExportBasis
{
  
  public function initiate()
  {
    ExportBasis::initiate();
    $this->dboperations = new DBWorkKommunikation();
  }

  
  public function export()
  {
    $this->clearResult();
    $this->exportresults = $this->exportsets;
  }

  
  public function getVarValue($varname)
  {
    switch ($this->getVarCategory($varname)) {
      default: return parent::getVarValue($varname);
      case 'kom_': return $this->expCalculation->getVarValue4Kommunikation($this->getVarName($varname), $this->exportresults[$this->actualset]);
    }
  }
}